<?php

namespace App\ViewModels\Logsys\LogsysRegistrationViewModel;

use App\Utils\Entity;

class LogsysRegistrationViewModel extends Entity {
	protected $id_usuario;
	protected $http_verb;
	protected $controller;
	protected $endpoint;
	protected $observacao;

 	public static function builder(): LogsysRegistrationViewModelBuilder {

 		return (new LogsysRegistrationViewModelBuilder);
	}
	

	/**
	 *
	 * @return mixed
	 */
	public function getId_usuario() {

		return $this->id_usuario;
	}

	/**
	 *
	 * @return mixed
	 */
	public function getHttp_verb() {

		return $this->http_verb;
	}

	/**
	 *
	 * @return mixed
	 */
	public function getController() {

		return $this->controller;
	}

	/**
	 *
	 * @return mixed
	 */
	public function getEndpoint() {

		return $this->endpoint;
	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;
	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setId_usuario($id_usuario) {

		$this->id_usuario = $id_usuario;
	}

	/**
	 *
	 * @param mixed $http_verb
	 */
	public function setHttp_verb($http_verb) {

		$this->http_verb = $http_verb;
	}

	/**
	 *
	 * @param mixed $controller
	 */
	public function setController($controller) {

		$this->controller = $controller;
	}

	/**
	 *
	 * @param mixed $endpoint
	 */
	public function setEndpoint($endpoint) {

		$this->endpoint = $endpoint;
	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;
	}
}